part of 'common_data_bloc.dart';

abstract class CommonDataEvent extends Equatable {
  const CommonDataEvent();

  @override
  List<Object> get props => [];
}

class DataFetched extends CommonDataEvent {
  final int? selectedId;
  final String? tbSupply;
  final String? condition;
  DataFetched({this.selectedId, this.tbSupply, this.condition});
}

class OnRefresh extends CommonDataEvent {
  final int? selectedId;
  final String? tbSupply;
  final String? condition;
  OnRefresh({this.selectedId, this.tbSupply, this.condition});
}
